using Harmonia.Core.Player;
using Microsoft.UI.Xaml.Data;
using System;

namespace Harmonia.WinUI.Converters;

public sealed partial class RepeatStateConverter : IValueConverter
{
    public RepeatStateConverter()
    {

    }

    public object? Convert(object value, Type targetType, object parameter, string language)
    {
        if (value is not RepeatState repeatState)
            return null;

        return repeatState.ToString();
    }

    public object ConvertBack(object value, Type targetType, object parameter, string language)
    {
        throw new NotImplementedException();
    }
}